Skip to main content

Get an applicant by ID

GEThttps://api.propexo.com/v1/applicants/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v1/prospectsProspects
    Example: 12345622
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v1/prospectsProspects
    Example: 12345678
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    MethodInterface
    /v1/prospectsProspects
    x_lease_idnullrequireddeprecated

    DEPRECATED: Not in use.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    x_lead_idnullrequired

    The external ID of the lead from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the applicant is interested in

    MethodInterface
    /v1/prospectsProspects
    Example: ["456","123"]
    address_1_alternatenullrequired

    The first alternate address line associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    address_1nullrequired

    The first address line associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    address_2_alternatenullrequired

    The second alternate address line associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    address_2nullrequired

    The second address line associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    applications object[]required

    Applications that the applicant has submitted

  • Array [
  • applicant_idstringrequired
    MethodInterface
    /v1/prospectsProspects
    Example: cmdfe7xck000107l8fdsqhe1t:12353258:12345622
    application_idstringrequired
    MethodInterface
    /v1/prospectsProspects
    Example: cmdfe7xck000107l8fdsqhe1t:1234412:12345678
    statusstring | nullnullabledeprecated

    DEPRECATED. Use status_raw or status_normalized

    MethodInterface
    /v1/prospectsProspects
    status_rawstring | nullnullable

    The raw status associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: Open
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    MethodInterface
    /v1/prospectsProspects
    Example: PENDING
    Show 2 variants
    • stringAPPROVEDDENIEDCANCELEDOTHERPENDING
    • string
    custom_data object | null
    object
  • ]
  • city_alternatenullrequired

    The alternate city associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    citynullrequired

    The city associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    country_alternatenullrequired

    The alternate country associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    countrynullrequired

    The country associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    custom_data object | nullrequired
    object
    date_of_birthnullrequired

    The date of birth associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    email_2nullrequired

    The secondary email address associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: John
    self_reported_income object[]

    Self reported income sources for the applicant

  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    Example: 325000
    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    type_normalizedstring | nullnullablerequired

    The type of income of the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: SECONDARY
    type_rawstring | nullnullablerequired

    The type of income of the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: Co-Applicant
  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: Doe
    middle_namenullrequired

    The middle name associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: Great tenant.
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    MethodInterface
    /v1/prospectsProspects
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: 123-456-7890
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    MethodInterface
    /v1/prospectsProspects
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: 123-456-7891
    state_alternatenullrequired

    The alternate state associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    statenullrequired

    The state associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    type_normalizedstring | nullnullablerequired

    The normalized type associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: SECONDARY
    type_rawstring | nullnullablerequired

    The raw type associated with the applicant

    MethodInterface
    /v1/prospectsProspects
    Example: Co-Applicant
    zip_alternatenullrequired

    The alternate zip code associated with the applicant

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    zipnullrequired

    The zip code associated with the applicant

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    pets object[]required
    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    breedstring | nullnullablerequired

    The breed of the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    colorstring | nullnullablerequired

    The color of the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    is_declawedboolean | nullnullablerequired

    Whether the applicant pet is declawed

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    is_fixedboolean | nullnullablerequired

    Whether the applicant pet is fixed

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    is_service_animalboolean | nullnullablerequired

    Whether the applicant pet is a service animal

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    is_trainedboolean | nullnullablerequired

    Whether the applicant pet is trained

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    is_vaccinatedboolean | nullnullablerequired

    Whether the applicant pet is vaccinated

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    namestring | nullnullablerequired

    The name associated with the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    notesstring | nullnullablerequired

    Notes associated with the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    typestring | nullnullablerequired

    The type associated with the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum18required

    The property management system of record

    Show 13 enum values
    PROPERTYWARE_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: PROPERTYWARE_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the applicant is interested in

    MethodInterface
    /v1/prospectsProspects
    Example: ["cmdfe7xck000107l8fdsqhe1t:123:456","cmdfe7xck000107l8fdsqhe1t:678:123"]
    screenings object[]required
    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "12345622",
"x_property_id": "12345678",
"x_lead_id": null,
"x_unit_id_preferred": [
"456",
"123"
],
"address_1_alternate": null,
"address_1": null,
"address_2_alternate": null,
"address_2": null,
"applications": [
{
"applicant_id": "cmdfe7xck000107l8fdsqhe1t:12353258:12345622",
"application_id": "cmdfe7xck000107l8fdsqhe1t:1234412:12345678",
"status_raw": "Open",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": null,
"city": null,
"country_alternate": null,
"country": null,
"custom_data": "Unknown Type: object,null",
"date_of_birth": null,
"email_1": "[email protected]",
"email_2": null,
"first_name": "John",
"self_reported_income": [
{
"amount_in_cents": 325000,
"amount_raw": "string",
"type_normalized": "SECONDARY",
"type_raw": "Co-Applicant"
}
],
"last_name": "Doe",
"middle_name": null,
"notes": "Great tenant.",
"phone_1_type": "MOBILE",
"phone_1": "123-456-7890",
"phone_2_type": "HOME",
"phone_2": "123-456-7891",
"state_alternate": null,
"state": null,
"type_normalized": "SECONDARY",
"type_raw": "Co-Applicant",
"zip_alternate": null,
"zip": null,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_declawed": true,
"is_fixed": true,
"is_service_animal": true,
"is_trained": true,
"is_vaccinated": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE_REST",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id_preferred": [
"cmdfe7xck000107l8fdsqhe1t:123:456",
"cmdfe7xck000107l8fdsqhe1t:678:123"
],
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}